/// <reference types="koa" />
import { Context } from 'koa';
import { ObjectMap, InjectToken } from '@ts-ioc/core';
/**
 * context token.
 */
export declare const ContextToken: InjectToken<IContext>;
/**
 * mvc IContext.
 * @export
 * @interface IContext
 * @extends {Context}
 */
export interface IContext extends Context, ObjectMap<any> {
}
