"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var IContext_1 = require("../IContext");
var DefaultContextMiddleware = /** @class */ (function () {
    function DefaultContextMiddleware() {
    }
    DefaultContextMiddleware.prototype.setup = function () {
        var _this = this;
        this.app.use(function (ctx, next) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.app.container.unregister(IContext_1.ContextToken);
                this.app.container.bindProvider(IContext_1.ContextToken, function () { return ctx; });
                return [2 /*return*/, next()];
            });
        }); });
    };
    DefaultContextMiddleware.classAnnations = { "name": "DefaultContextMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultContextMiddleware.prototype, "app", void 0);
    DefaultContextMiddleware = tslib_1.__decorate([
        decorators_1.Middleware(IMiddleware_1.ContextMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultContextMiddleware);
    return DefaultContextMiddleware;
}());
exports.DefaultContextMiddleware = DefaultContextMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultContextMiddleware.js.map
