"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ResultValue_1 = require("./ResultValue");
/**
 * controller method return result type of view.
 * context type 'text/html'
 *
 * @export
 * @class ViewResult
 */
var ViewResult = /** @class */ (function (_super) {
    tslib_1.__extends(ViewResult, _super);
    function ViewResult(name, model) {
        var _this = _super.call(this, 'text/html') || this;
        _this.name = name;
        _this.model = model;
        return _this;
    }
    ViewResult.prototype.sendValue = function (ctx, container) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                if (!ctx.render) {
                    return [2 /*return*/, Promise.reject('view engin middleware no configed!')];
                }
                else {
                    ctx.type = this.contentType;
                    return [2 /*return*/, ctx.render(this.name, this.model)];
                }
                return [2 /*return*/];
            });
        });
    };
    ViewResult.classAnnations = { "name": "ViewResult", "params": { "constructor": ["name", "model"], "sendValue": ["ctx", "container"] } };
    return ViewResult;
}(ResultValue_1.ResultValue));
exports.ViewResult = ViewResult;

//# sourceMappingURL=../../sourcemaps/core/results/ViewResult.js.map
