"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var BadRequestError = /** @class */ (function (_super) {
    tslib_1.__extends(BadRequestError, _super);
    function BadRequestError(message) {
        if (message === void 0) { message = 'Bad Request'; }
        return _super.call(this, 400, message) || this;
    }
    BadRequestError.classAnnations = { "name": "BadRequestError", "params": { "constructor": ["message"] } };
    return BadRequestError;
}(HttpError_1.HttpError));
exports.BadRequestError = BadRequestError;

//# sourceMappingURL=../sourcemaps/errors/BadRequestError.js.map
