"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError = /** @class */ (function (_super) {
    tslib_1.__extends(HttpError, _super);
    function HttpError(code, message) {
        var _this = _super.call(this) || this;
        _this.code = code;
        if (message) {
            _this.message = message;
        }
        return _this;
    }
    HttpError.prototype.toString = function () {
        return "Http Error: " + this.code + ", " + this.message;
    };
    HttpError.classAnnations = { "name": "HttpError", "params": { "constructor": ["code", "message"], "toString": [] } };
    return HttpError;
}(Error));
exports.HttpError = HttpError;

//# sourceMappingURL=../sourcemaps/errors/HttpError.js.map
