"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var InternalServerError = /** @class */ (function (_super) {
    tslib_1.__extends(InternalServerError, _super);
    function InternalServerError(message) {
        if (message === void 0) { message = 'Internal Server Error'; }
        return _super.call(this, 500, message) || this;
    }
    InternalServerError.classAnnations = { "name": "InternalServerError", "params": { "constructor": ["message"] } };
    return InternalServerError;
}(HttpError_1.HttpError));
exports.InternalServerError = InternalServerError;

//# sourceMappingURL=../sourcemaps/errors/InternalServerError.js.map
