"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var NotAcceptableError = /** @class */ (function (_super) {
    tslib_1.__extends(NotAcceptableError, _super);
    function NotAcceptableError(message) {
        if (message === void 0) { message = 'Not Acceptable'; }
        return _super.call(this, 406, message) || this;
    }
    NotAcceptableError.classAnnations = { "name": "NotAcceptableError", "params": { "constructor": ["message"] } };
    return NotAcceptableError;
}(HttpError_1.HttpError));
exports.NotAcceptableError = NotAcceptableError;

//# sourceMappingURL=../sourcemaps/errors/NotAcceptableError.js.map
