"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var aop_1 = require("@ts-ioc/aop");
/**
 * Auth aspect. pointcut method with @Authorization decorator, to check your custom auth validation.
 *
 * @export
 * @class AuthAspect
 */
var AuthAspect = /** @class */ (function () {
    function AuthAspect() {
    }
    // pointcut for method has @Authorization decorator.
    AuthAspect.prototype.auth = function () {
    };
    AuthAspect.classAnnations = { "name": "AuthAspect", "params": { "auth": [] } };
    tslib_1.__decorate([
        aop_1.Pointcut('@annotation(Authorization)'),
        tslib_1.__metadata("design:type", Function),
        tslib_1.__metadata("design:paramtypes", []),
        tslib_1.__metadata("design:returntype", void 0)
    ], AuthAspect.prototype, "auth", null);
    AuthAspect = tslib_1.__decorate([
        aop_1.Aspect
    ], AuthAspect);
    return AuthAspect;
}());
exports.AuthAspect = AuthAspect;

//# sourceMappingURL=../sourcemaps/aop/AuthAspect.js.map
