"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
/**
 * Controller decorator, define the class as mvc controller.
 * @Controller
 */
exports.Controller = core_1.createClassDecorator('Controller', function (args) {
    args.next({
        isMetadata: function (arg) { return core_1.isClassMetadata(arg, ['routePrefix']); },
        match: function (arg) { return core_1.isString(arg); },
        setMetadata: function (metadata, arg) {
            metadata.routePrefix = arg;
        }
    });
});

//# sourceMappingURL=../../sourcemaps/core/decorators/Controller.js.map
