"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var aop_1 = require("@ts-ioc/aop");
var bodyParser = require('koa-bodyparser');
var DefaultBodyParserMiddleware = /** @class */ (function () {
    function DefaultBodyParserMiddleware() {
    }
    DefaultBodyParserMiddleware.prototype.setup = function () {
        this.app.use(bodyParser());
    };
    DefaultBodyParserMiddleware.classAnnations = { "name": "DefaultBodyParserMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultBodyParserMiddleware.prototype, "app", void 0);
    DefaultBodyParserMiddleware = tslib_1.__decorate([
        aop_1.NonePointcut,
        decorators_1.Middleware(IMiddleware_1.BodyParserMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultBodyParserMiddleware);
    return DefaultBodyParserMiddleware;
}());
exports.DefaultBodyParserMiddleware = DefaultBodyParserMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultBodyParserMiddleware.js.map
