"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var IConfiguration_1 = require("../../IConfiguration");
var json = require("koa-json");
var DefaultJsonMiddleware = /** @class */ (function () {
    function DefaultJsonMiddleware() {
    }
    DefaultJsonMiddleware.prototype.setup = function () {
        this.app.use(json());
    };
    DefaultJsonMiddleware.classAnnations = { "name": "DefaultJsonMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultJsonMiddleware.prototype, "app", void 0);
    tslib_1.__decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultJsonMiddleware.prototype, "config", void 0);
    DefaultJsonMiddleware = tslib_1.__decorate([
        decorators_1.Middleware(IMiddleware_1.JsonMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultJsonMiddleware);
    return DefaultJsonMiddleware;
}());
exports.DefaultJsonMiddleware = DefaultJsonMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultJsonMiddleware.js.map
