"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ResultValue_1 = require("./ResultValue");
/**
 * controller method return result type of json.
 * context type 'application/json'
 *
 * @export
 * @class JsonResult
 */
var JsonResult = /** @class */ (function (_super) {
    tslib_1.__extends(JsonResult, _super);
    function JsonResult(data) {
        var _this = _super.call(this, 'application/json') || this;
        _this.data = data;
        return _this;
    }
    JsonResult.prototype.sendValue = function (ctx, container) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                ctx.type = this.contentType;
                ctx.body = this.data || {};
                return [2 /*return*/];
            });
        });
    };
    JsonResult.classAnnations = { "name": "JsonResult", "params": { "constructor": ["data"], "sendValue": ["ctx", "container"] } };
    return JsonResult;
}(ResultValue_1.ResultValue));
exports.JsonResult = JsonResult;

//# sourceMappingURL=../../sourcemaps/core/results/JsonResult.js.map
