"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var BaseRoute_1 = require("./BaseRoute");
var RootRoute = /** @class */ (function (_super) {
    tslib_1.__extends(RootRoute, _super);
    function RootRoute() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RootRoute.prototype.options = function (container, ctx, next) {
        return this.match(ctx).options(container, ctx, next);
    };
    RootRoute.prototype.navigating = function (container, ctx, next) {
        return this.match(ctx).navigating(container, ctx, next);
    };
    RootRoute.classAnnations = { "name": "RootRoute", "params": { "options": ["container", "ctx", "next"], "navigating": ["container", "ctx", "next"] } };
    return RootRoute;
}(BaseRoute_1.BaseRoute));
exports.RootRoute = RootRoute;

//# sourceMappingURL=../../sourcemaps/core/router/RootRoute.js.map
