"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var NotFoundError = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundError, _super);
    function NotFoundError(message) {
        if (message === void 0) { message = 'Not Found'; }
        return _super.call(this, 404, message) || this;
    }
    NotFoundError.classAnnations = { "name": "NotFoundError", "params": { "constructor": ["message"] } };
    return NotFoundError;
}(HttpError_1.HttpError));
exports.NotFoundError = NotFoundError;

//# sourceMappingURL=../sourcemaps/errors/NotFoundError.js.map
