"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var HttpError_1 = require("./HttpError");
var UnauthorizedError = /** @class */ (function (_super) {
    tslib_1.__extends(UnauthorizedError, _super);
    function UnauthorizedError(message) {
        if (message === void 0) { message = 'Unauthorized'; }
        return _super.call(this, 401, message) || this;
    }
    UnauthorizedError.classAnnations = { "name": "UnauthorizedError", "params": { "constructor": ["message"] } };
    return UnauthorizedError;
}(HttpError_1.HttpError));
exports.UnauthorizedError = UnauthorizedError;

//# sourceMappingURL=../sourcemaps/errors/UnauthorizedError.js.map
